EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ClusterNodes_GetNodes',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ClusterNodes2',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the nodes registered with this cluster.'
GO

IF OBJECT_ID('[ClusterNodes_GetNodes]') IS NOT NULL DROP PROCEDURE [ClusterNodes_GetNodes]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ClusterNodes_GetNodes]
(
	@NodeType_Code CHAR(1) = NULL
)
AS
BEGIN
SET NOCOUNT ON

	SELECT *
	  FROM [ClusterNodes2]
	 WHERE @NodeType_Code IS NULL OR ([NodeType_Code] = @NodeType_Code)

END
GO

GRANT EXECUTE ON [ClusterNodes_GetNodes] TO [ProGetUser_Role]
GO
