EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Connectors_GetConnectorsByType',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Connectors',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the connectors.'
GO

IF OBJECT_ID('[Connectors_GetConnectorsByType]') IS NOT NULL DROP PROCEDURE [Connectors_GetConnectorsByType]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Connectors_GetConnectorsByType]
(
    @FeedType_Name VARCHAR(50)
)
AS BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Connectors] C
     WHERE c.[FeedType_Name] = @FeedType_Name

END
GO

GRANT EXECUTE ON [Connectors_GetConnectorsByType] TO [ProGetUser_Role]
GO
